Bug 1308846 (CVE-2016-3070) - CVE-2016-3070 kernel: Null pointer dereference in trace_writeback_dirty_page()
Summary: CVE-2016-3070 kernel: Null pointer dereference in trace_writeback_dirty_page()
Status: ASSIGNED
Alias: CVE-2016-3070
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160510,reported=2...
Keywords: Reopened, Security
Depends On: 1306851 1331967 1331968
Blocks: 1308847
TreeView+ depends on / blocked
 
Reported: 2016-02-16 09:30 UTC by Adam Mariš
Modified: 2019-02-08 14:56 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A security flaw was found in the Linux kernel that an attempt to move page mapped by AIO ring buffer to the other node triggers NULL pointer dereference at trace_writeback_dirty_page(), because aio_fs_backing_dev_info.dev is 0.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 09:26:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC
Red Hat Product Errata RHSA-2016:2584 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-11-03 12:08:49 UTC

Description Adam Mariš 2016-02-16 09:30:23 UTC
It was reported that attempt to move page mapped by aio ring buffer to other node triggers NULL pointer dereference at trace_writeback_dirty_page(), because aio_fs_backing_dev_info.dev is 0.

Product bug (contains reproducer):

https://bugzilla.redhat.com/show_bug.cgi?id=1306851

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=42cb14b110a5698ccf26ce59c4441722605a3743

Comment 1 Vladis Dronov 2016-03-23 18:46:40 UTC
Acknowledgments:

Name: Jan Stancek (Red Hat)

Comment 2 Vladis Dronov 2016-03-23 19:04:52 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future updates for the respective releases may address the issue.

Comment 3 Adam Mariš 2016-03-24 08:53:55 UTC
Internal CVE assignment: CVE-2016-3070

Comment 8 errata-xmlrpc 2016-11-03 15:35:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 9 errata-xmlrpc 2016-11-03 19:42:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Comment 10 errata-xmlrpc 2016-11-03 21:32:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 11 errata-xmlrpc 2016-11-03 21:47:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html


Note You need to log in before you can comment on or make changes to this bug.